Bug 1718367 - python-whitenoise fails to build on Rawhide
Summary: python-whitenoise fails to build on Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-whitenoise
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS F32FTBFS F32FailsToInstall 1732841
TreeView+ depends on / blocked
 
Reported: 2019-06-07 14:44 UTC by Petr Viktorin
Modified: 2019-10-26 17:24 UTC (History)
3 users (show)

Fixed In Version: python-whitenoise-4.1.4-1.fc30 python-whitenoise-4.1.4-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-25 13:38:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github evansd whitenoise issues 225 'None' 'closed' 'test_get_brotli failed in whitenoise 4.1.3' 2019-11-13 23:03:46 UTC

Description Petr Viktorin 2019-06-07 14:44:24 UTC
python-whitenoise fails to build with Python 3.8.0b1.

Unfortunately, I don't know how to debug the error, "brotli.error: BrotliDecompress failed".

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00926891-python-whitenoise/

For all our attempts to build python-whitenoise with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/python-whitenoise/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.

Comment 1 Miro Hrončok 2019-07-10 15:11:16 UTC
Piotr?

Comment 2 Piotr Popieluch 2019-07-10 16:43:44 UTC
This works fine for me (in tox), isn't this a bug in brotli?

Comment 3 Piotr Popieluch 2019-07-10 17:09:21 UTC
This issue only occurs in Rawhide, no matter which Python version (also fails on 3.7). Fedora 30 works fine with Python 3.7 and 3.8

Comment 4 Ben Cotton 2019-08-13 17:08:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:51:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Miro Hrončok 2019-08-14 22:24:49 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 7 Miro Hrončok 2019-08-21 16:35:35 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 8 Miro Hrončok 2019-08-21 17:29:33 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 9 David Moreau Simard 2019-09-11 14:59:53 UTC
There is a bug for this issue upstream: https://github.com/evansd/whitenoise/issues/225

Comment 10 David Moreau Simard 2019-09-24 17:58:35 UTC
I've sent a pull request to update to bump the spec to 4.1.4 which contains the fix for failing unit tests causing the FTBFS: https://src.fedoraproject.org/rpms/python-whitenoise/pull-request/1

Comment 11 David Moreau Simard 2019-09-25 12:23:22 UTC
Thanks for merging the pull request ! I see that the build is fixed now: https://koji.fedoraproject.org/koji/buildinfo?buildID=1389553

I've cherry-picked the update to f31 and f30 as well.

I think we can close this bug now ?

Comment 12 Miro Hrončok 2019-09-25 13:38:24 UTC
Thanks.

Comment 13 Fedora Update System 2019-10-09 23:04:59 UTC
FEDORA-2019-5ab642e9c8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5ab642e9c8

Comment 14 Fedora Update System 2019-10-09 23:05:56 UTC
FEDORA-2019-a57209f334 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a57209f334

Comment 15 Fedora Update System 2019-10-10 14:33:55 UTC
python-whitenoise-4.1.4-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5ab642e9c8

Comment 16 Fedora Update System 2019-10-10 17:29:30 UTC
python-whitenoise-4.1.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a57209f334

Comment 17 Fedora Update System 2019-10-18 16:53:31 UTC
python-whitenoise-4.1.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-10-26 17:24:21 UTC
python-whitenoise-4.1.4-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.